GET /v1/organizations/{orgId}/plan-options
Returns all possible plan transitions with pre-calculated pricing

Responses

200 OK
application/json
currentInterval string
currentTier string
options object[]
Array of:
action string
Enum: upgrade, downgrade, cancel
effectiveAt string
interval string
tier string
type string
periodEnd string
400 Bad Request
curl -X GET 'https://api.example.com/v1/organizations/{orgId}/plan-options' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/organizations/{orgId}/plan-options', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/organizations/{orgId}/plan-options', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/{orgId}/plan-options", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "currentInterval": "<string>",  "currentTier": "<string>",  "options": [    {      "action": "upgrade",      "effectiveAt": "<string>",      "interval": "<string>",      "tier": "<string>",      "type": "<string>"    }  ],  "periodEnd": "<string>"}
Ask a question... ⌘I